Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2752523006: cc: Use SkCreateColorSpaceXformCanvas for color transforms (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 1 week ago by ccameron
Modified:
6 months, 1 week ago
Reviewers:
enne (OOO)
CC:
cc-bugs_chromium.org, chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

cc: Use SkCreateColorSpaceXformCanvas for color transforms Add SkCreateColorSpaceXformCanvas, commented out, in RasterSource. Remove accessors for SkColorSpace and mechanisms for using kNonLinearBlending_ColorSpaceFlag. BUG=701942 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel Review-Url: https://codereview.chromium.org/2752523006 Cr-Commit-Position: refs/heads/master@{#457630} Committed: https://chromium.googlesource.com/chromium/src/+/1f9a36662a7b695f5d9d3023ad2be013901ebba3

Patch Set 1 #

Patch Set 2 : Remove extra parts #

Patch Set 3 : Allow to link #

Total comments: 2

Patch Set 4 : Incorporate review feedback #

Total comments: 2

Patch Set 5 : delete dead code #

Patch Set 6 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+119 lines, -104 lines) Patch
M cc/debug/rasterize_and_record_benchmark_impl.cc View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M cc/output/software_renderer.cc View 1 2 3 2 chunks +9 lines, -4 lines 0 comments Download
M cc/playback/raster_source.h View 1 2 3 4 4 chunks +6 lines, -1 line 0 comments Download
M cc/playback/raster_source.cc View 1 2 3 4 5 7 chunks +22 lines, -8 lines 0 comments Download
M cc/playback/raster_source_unittest.cc View 1 2 3 8 chunks +23 lines, -13 lines 0 comments Download
M cc/raster/bitmap_raster_buffer_provider.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M cc/raster/gpu_raster_buffer_provider.cc View 1 2 3 1 chunk +3 lines, -2 lines 0 comments Download
M cc/raster/one_copy_raster_buffer_provider.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M cc/raster/one_copy_raster_buffer_provider.cc View 1 2 3 2 chunks +5 lines, -5 lines 0 comments Download
M cc/raster/raster_buffer_provider.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M cc/raster/raster_buffer_provider.cc View 1 2 3 4 chunks +9 lines, -9 lines 0 comments Download
M cc/raster/zero_copy_raster_buffer_provider.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M cc/resources/resource_provider.h View 1 2 3 4 5 6 chunks +22 lines, -8 lines 0 comments Download
M cc/resources/resource_provider.cc View 1 2 3 4 5 8 chunks +11 lines, -17 lines 0 comments Download
M cc/test/fake_raster_source.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M cc/test/fake_raster_source.cc View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M ui/gfx/color_space.h View 1 2 3 1 chunk +0 lines, -5 lines 0 comments Download
M ui/gfx/color_space.cc View 1 2 3 1 chunk +0 lines, -25 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 30 (21 generated)
ccameron
What has been will be again...
6 months, 1 week ago (2017-03-15 20:29:36 UTC) #7
enne (OOO)
https://codereview.chromium.org/2752523006/diff/40001/cc/playback/raster_source.h File cc/playback/raster_source.h (right): https://codereview.chromium.org/2752523006/diff/40001/cc/playback/raster_source.h#newcode48 cc/playback/raster_source.h:48: gfx::ColorSpace target_color_space; Maybe I'm missing something, but would it ...
6 months, 1 week ago (2017-03-15 22:15:40 UTC) #10
ccameron
Updated! https://codereview.chromium.org/2752523006/diff/40001/cc/playback/raster_source.h File cc/playback/raster_source.h (right): https://codereview.chromium.org/2752523006/diff/40001/cc/playback/raster_source.h#newcode48 cc/playback/raster_source.h:48: gfx::ColorSpace target_color_space; On 2017/03/15 22:15:40, enne wrote: > ...
6 months, 1 week ago (2017-03-16 05:11:34 UTC) #11
enne (OOO)
lgtm https://codereview.chromium.org/2752523006/diff/60001/cc/playback/raster_source.h File cc/playback/raster_source.h (right): https://codereview.chromium.org/2752523006/diff/60001/cc/playback/raster_source.h#newcode48 cc/playback/raster_source.h:48: gfx::ColorSpace target_color_space; Unused?
6 months, 1 week ago (2017-03-16 18:20:57 UTC) #12
ccameron
Thanks! https://codereview.chromium.org/2752523006/diff/60001/cc/playback/raster_source.h File cc/playback/raster_source.h (right): https://codereview.chromium.org/2752523006/diff/60001/cc/playback/raster_source.h#newcode48 cc/playback/raster_source.h:48: gfx::ColorSpace target_color_space; On 2017/03/16 18:20:57, enne wrote: > ...
6 months, 1 week ago (2017-03-16 21:16:15 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752523006/100001
6 months, 1 week ago (2017-03-16 21:16:43 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/252035)
6 months, 1 week ago (2017-03-16 22:33:28 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752523006/100001
6 months, 1 week ago (2017-03-16 23:38:47 UTC) #27
commit-bot: I haz the power
6 months, 1 week ago (2017-03-17 00:44:15 UTC) #30
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/1f9a36662a7b695f5d9d3023ad2b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b